package com.union.ai.api.dao.model;

import java.io.Serializable;
import java.util.Date;

/**
 *
 *
 * @author jingxingxin
 * @date 2019-4-22
 *
 */
public class ApiLog implements Serializable {
    /** 主键id */
    private Integer apilogId;

    /** 应用id */
    private Integer appId;

    /** 接口id */
    private Integer apiId;

    private Integer userId;

    /** 调用结果 1=成功 0=失败 */
    private Integer callResult;

    /** 调用时间 */
    private String invokeTime;

    private Date invokeDate;

    /** 接口返回时间 */
    private String responseTime;

    /** 调用入参json格式 */
    private String params;

    /** 图片路径 */
    private String imgUrl;

    private String province;

    /** 错误码 */
    private String errCode;

    private static final long serialVersionUID = 1L;

    public Integer getApilogId() {
        return apilogId;
    }

    public void setApilogId(Integer apilogId) {
        this.apilogId = apilogId;
    }

    public Integer getAppId() {
        return appId;
    }

    public void setAppId(Integer appId) {
        this.appId = appId;
    }

    public Integer getApiId() {
        return apiId;
    }

    public void setApiId(Integer apiId) {
        this.apiId = apiId;
    }

    public Integer getCallResult() {
        return callResult;
    }

    public void setCallResult(Integer callResult) {
        this.callResult = callResult;
    }

    public String getInvokeTime() {
        return invokeTime;
    }

    public void setInvokeTime(String invokeTime) {
        this.invokeTime = invokeTime == null ? null : invokeTime.trim();
    }

    public String getResponseTime() {
        return responseTime;
    }

    public void setResponseTime(String responseTime) {
        this.responseTime = responseTime == null ? null : responseTime.trim();
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params == null ? null : params.trim();
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl == null ? null : imgUrl.trim();
    }

    public String getErrCode() {
        return errCode;
    }

    public void setErrCode(String errCode) {
        this.errCode = errCode == null ? null : errCode.trim();
    }


    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getInvokeDate() {
        return invokeDate;
    }

    public void setInvokeDate(Date invokeDate) {
        this.invokeDate = invokeDate;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }
}
